Subject: Re: [RFC][PATCH 1/1] cxgb3i: cxgb3 iSCSI initiator

From: Roland Dreier <[email-masked]>
Date: Sat, 09 Aug 2008 22:14:11 -0700

> Also, I find it ironic that the port abduction is being asked for in
 > order to be "compatible with existing tools" yet in fact this stuff
 > breaks everything.  You can't netfilter this traffic, you can't apply
 > qdiscs to it, you can't execut TC actions on them, you can't do
 > segmentation offload on them, you can't look for the usual TCP MIB
 > statistics on the connection, etc. etc. etc.

We already support offloads that break other features, eg large receive
offload breaks forwarding.  We deal with it.

I'm sure if we thought about it we could come up with clean ways to fix
some of the issues you raise, and just disable the offload if someone
wanted to use a feature we can't support.

 - R.